# azure.mgmt.sqlvirtualmachine.operations module

class `azure.mgmt.sqlvirtualmachine.operations.``AvailabilityGroupListenersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AvailabilityGroupListenersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – API version to use for the request. Constant value: “2017-03-01-preview”.

  `create_or_update`(resource_group_name, sql_virtual_machine_group_name, availability_group_listener_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an availability group listener.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - availability_group_listener_name (str) – Name of the availability group listener.
    - parameters (AvailabilityGroupListener) – The availability group listener.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns AvailabilityGroupListener or ClientRawResponse<AvailabilityGroupListener> if raw==True
    Return type: | AzureOperationPoller[AvailabilityGroupListener] or AzureOperationPoller[ClientRawResponse[AvailabilityGroupListener]]
    Raises: | `CloudError`

  `delete`(resource_group_name, sql_virtual_machine_group_name, availability_group_listener_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an availability group listener.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - availability_group_listener_name (str) – Name of the availability group listener.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, sql_virtual_machine_group_name, availability_group_listener_name, custom_headers=None, raw=False, **operation_config)

    Gets an availability group listener.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - availability_group_listener_name (str) – Name of the availability group listener.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AvailabilityGroupListener or ClientRawResponse if raw=true
    Return type: | AvailabilityGroupListener or ClientRawResponse
    Raises: | `CloudError`

  `list_by_group`(resource_group_name, sql_virtual_machine_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all availability group listeners in a SQL virtual machine group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AvailabilityGroupListener
    Return type: | AvailabilityGroupListenerPaged[AvailabilityGroupListener]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.sqlvirtualmachine.models' from '/usr/lib/python3/dist-packages/azure/mgmt/sqlvirtualmachine/models/__init__.py'>

class `azure.mgmt.sqlvirtualmachine.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – API version to use for the request. Constant value: “2017-03-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available SQL Rest API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.sqlvirtualmachine.models' from '/usr/lib/python3/dist-packages/azure/mgmt/sqlvirtualmachine/models/__init__.py'>

class `azure.mgmt.sqlvirtualmachine.operations.``SqlVirtualMachineGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SqlVirtualMachineGroupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – API version to use for the request. Constant value: “2017-03-01-preview”.

  `create_or_update`(resource_group_name, sql_virtual_machine_group_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a SQL virtual machine group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - parameters (SqlVirtualMachineGroup) – The SQL virtual machine group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SqlVirtualMachineGroup or ClientRawResponse<SqlVirtualMachineGroup> if raw==True
    Return type: | AzureOperationPoller[SqlVirtualMachineGroup] or AzureOperationPoller[ClientRawResponse[SqlVirtualMachineGroup]]
    Raises: | `CloudError`

  `delete`(resource_group_name, sql_virtual_machine_group_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a SQL virtual machine group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, sql_virtual_machine_group_name, custom_headers=None, raw=False, **operation_config)

    Gets a SQL virtual machine group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SqlVirtualMachineGroup or ClientRawResponse if raw=true
    Return type: | SqlVirtualMachineGroup or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets all SQL virtual machine groups in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SqlVirtualMachineGroup
    Return type: | SqlVirtualMachineGroupPaged[SqlVirtualMachineGroup]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all SQL virtual machine groups in a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SqlVirtualMachineGroup
    Return type: | SqlVirtualMachineGroupPaged[SqlVirtualMachineGroup]
    Raises: | `CloudError`

  `update`(resource_group_name, sql_virtual_machine_group_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates SQL virtual machine group tags.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - tags (dict[str, str]) – Resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SqlVirtualMachineGroup or ClientRawResponse<SqlVirtualMachineGroup> if raw==True
    Return type: | AzureOperationPoller[SqlVirtualMachineGroup] or AzureOperationPoller[ClientRawResponse[SqlVirtualMachineGroup]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.sqlvirtualmachine.models' from '/usr/lib/python3/dist-packages/azure/mgmt/sqlvirtualmachine/models/__init__.py'>

class `azure.mgmt.sqlvirtualmachine.operations.``SqlVirtualMachinesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SqlVirtualMachinesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – API version to use for the request. Constant value: “2017-03-01-preview”.

  `create_or_update`(resource_group_name, sql_virtual_machine_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a SQL virtual machine.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_name (str) – Name of the SQL virtual machine.
    - parameters (SqlVirtualMachine) – The SQL virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SqlVirtualMachine or ClientRawResponse<SqlVirtualMachine> if raw==True
    Return type: | AzureOperationPoller[SqlVirtualMachine] or AzureOperationPoller[ClientRawResponse[SqlVirtualMachine]]
    Raises: | `CloudError`

  `delete`(resource_group_name, sql_virtual_machine_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a SQL virtual machine.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_name (str) – Name of the SQL virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, sql_virtual_machine_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets a SQL virtual machine.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_name (str) – Name of the SQL virtual machine.
    - expand (str) – The child resources to include in the response.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SqlVirtualMachine or ClientRawResponse if raw=true
    Return type: | SqlVirtualMachine or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets all SQL virtual machines in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SqlVirtualMachine
    Return type: | SqlVirtualMachinePaged[SqlVirtualMachine]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all SQL virtual machines in a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SqlVirtualMachine
    Return type: | SqlVirtualMachinePaged[SqlVirtualMachine]
    Raises: | `CloudError`

  `list_by_sql_vm_group`(resource_group_name, sql_virtual_machine_group_name, custom_headers=None, raw=False, **operation_config)

    Gets the list of sql virtual machines in a SQL virtual machine group.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_group_name (str) – Name of the SQL virtual machine group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SqlVirtualMachine
    Return type: | SqlVirtualMachinePaged[SqlVirtualMachine]
    Raises: | `CloudError`

  `update`(resource_group_name, sql_virtual_machine_name, tags=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a SQL virtual machine.

    Parameters:

    - resource_group_name (str) – Name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - sql_virtual_machine_name (str) – Name of the SQL virtual machine.
    - tags (dict[str, str]) – Resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SqlVirtualMachine or ClientRawResponse<SqlVirtualMachine> if raw==True
    Return type: | AzureOperationPoller[SqlVirtualMachine] or AzureOperationPoller[ClientRawResponse[SqlVirtualMachine]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.sqlvirtualmachine.models' from '/usr/lib/python3/dist-packages/azure/mgmt/sqlvirtualmachine/models/__init__.py'>